cascading.operation

## Class OperationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - cascading.CascadingException
        - - cascading.operation.OperationException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    AssertionException

      public class OperationException
      extends CascadingException

  Class OperationException is thrown by `BaseOperation` classes.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OperationException()` Constructor OperationException creates a new OperationException instance.
    `OperationException(java.lang.String string)` Constructor OperationException creates a new OperationException instance.
    `OperationException(java.lang.String string, java.lang.Throwable throwable)` Constructor OperationException creates a new OperationException instance.
    `OperationException(java.lang.Throwable throwable)` Constructor OperationException creates a new OperationException instance.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OperationException

          public OperationException()

      Constructor OperationException creates a new OperationException instance.

    - #### OperationException

          public OperationException(java.lang.String string)

      Constructor OperationException creates a new OperationException instance.
      Parameters:
        `string` - of type String

    - #### OperationException

          public OperationException(java.lang.String string,
                            java.lang.Throwable throwable)

      Constructor OperationException creates a new OperationException instance.
      Parameters:
        `string` - of type String
        `throwable` - of type Throwable

    - #### OperationException

          public OperationException(java.lang.Throwable throwable)

      Constructor OperationException creates a new OperationException instance.
      Parameters:
        `throwable` - of type Throwable

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.